import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class QuizGame {
private List<Question> questions;
private int score;

public QuizGame() {
questions = new ArrayList<>();
score = 0;
}

public void addQuestion(Question question) {
questions.add(question);
}

public void startQuiz() {
Scanner scanner = new Scanner(System.in);

for (Question question : questions) {
System.out.println(question.getQuestion());
int index = 1;
for (String answer : question.getAnswers()) {
System.out.printf("%d. %s%n", index++, answer);
}
System.out.print("Enter your answer (1-%d): ");
int answerIndex = scanner.nextInt();

if (question.isCorrect(answerIndex)) {
score++;
}
}

System.out.printf("Your score is %d out of %d.%n", score, questions.size());
}

public static void main(String[] args) {
QuizGame game = new QuizGame();

game.addQuestion(new Question("What is the capital of France?", "Paris", "London", "Berlin", 1));
game.addQuestion(new Question("What is the largest planet in the solar system?", "Jupiter", "Saturn", "Mars", 1));
game.addQuestion(new Question("What is the smallest prime number?", "2", "3", "5", 1));

game.startQuiz();
}
}

class Question {
private String question;
private List<String> answers;
private List<Integer> correctAnswers;

public Question(String question, String answer1, String answer2, String answer3, int correctAnswer) {
this.question = question;
answers = new ArrayList<>();
answers.add(answer1);
answers.add(answer2);
answers.add(answer3);
correctAnswers = new ArrayList<>();
correctAnswers.add(correctAnswer);
}

public String getQuestion() {
return question;
}

public List<String> getAnswers() {
return answers;
}

public boolean isCorrect(int answerIndex) {
return correctAnswers.contains(answerIndex);
}
}